<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="22" infoRejectCounter="0">
  <summary>
    <timer wall-clock="17.9s" wall="17.903" cpu="6.43536" calls="1"/>
    <!-- memory in MB-->
    <memory final="1374.8" peak="1417.7"/>
  </summary>
  <header id="">
    <environment started="2023-May-02 10:42:25" host="motown"/>
    <python version="3.6.15 (default, Sep 23 2021, 15:41:43) [GCC]" file="/home/jgreif/code/cfs/share/python/spaghetti3d.py"/>
    <progOpts problem="spaghetti3d_iso" parameterFile="/home/jgreif/code/cfs/Testsuite/TESTSUIT/Optimization/ShapeMap/spaghetti3d_iso/spaghetti3d_iso.xml" schemaPath="/home/jgreif/code/cfs/share/xml" meshFile="/home/jgreif/code/cfs/Testsuite/TESTSUIT/Optimization/ShapeMap/spaghetti3d_iso/bulk3d_10.mesh" logConfFile="" detailed="no">
      <cfs version="23.03" name="Heavy Headache" build="Release" git_commit="db4c5d25ec83c3b3ec5663eca27ea17f665b7992" git_branch="carbonara" compiled="May  2 2023" exe="cfs"/>
      <openmp CFS_NUM_THREADS="1" MKL_NUM_THREADS="3" OMP_NUM_THREADS="3"/>
    </progOpts>
    <domain nx="10" ny="10" nz="10">
      <grids>
        <timer wall-clock="0.079s" wall="0.079" cpu="0.070816" calls="1"/>
        <grid gridId="default" dimensions="3" elements="1000" nodes="1331"/>
      </grids>
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="1331" elems="1000" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="left" count="121"/>
        <nodes name="right" count="121"/>
        <nodes name="bottom" count="121"/>
        <nodes name="top" count="121"/>
        <nodes name="back" count="121"/>
        <nodes name="front" count="121"/>
        <nodes name="left_bottom_back" count="1" coord="(0,0,0)"/>
        <nodes name="right_bottom_back" count="1" coord="(1,0,0)"/>
        <nodes name="left_top_back" count="1" coord="(0,1,0)"/>
        <nodes name="right_top_back" count="1" coord="(1,1,0)"/>
        <nodes name="left_bottom_front" count="1" coord="(0,0,1)"/>
        <nodes name="right_bottom_front" count="1" coord="(1,0,1)"/>
        <nodes name="left_top_front" count="1" coord="(0,1,1)"/>
        <nodes name="right_top_front" count="1" coord="(1,1,1)"/>
        <nodes name="bottom_back" count="11"/>
        <nodes name="bottom_front" count="11"/>
        <nodes name="bottom_left" count="11"/>
        <nodes name="bottom_right" count="11"/>
        <nodes name="top_back" count="11"/>
        <nodes name="top_front" count="11"/>
        <nodes name="top_left" count="11"/>
        <nodes name="top_right" count="11"/>
        <nodes name="back_left" count="11"/>
        <nodes name="back_right" count="11"/>
        <nodes name="front_left" count="11"/>
        <nodes name="front_right" count="11"/>
        <nodes name="load" count="1" coord="(1,0.5,0.5)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="10" ny="10" nz="10" step="0" t="0" t0="0"/>
    </domain>
    <results>
      <timer wall-clock="0.082s" wall="0.082" cpu="0.051787" calls="56"/>
    </results>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static>
      <init_static>
        <timer wall-clock="0.084s" wall="0.084" cpu="0.201145" calls="1"/>
      </init_static>
    </static>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator3D" coef="CoefFunctionOpt" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt">
                <entities name="load" size="1" region="no_region"/>
                <coef type="CoefFunctionConst" value="[0, 0, 1]"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="Mechanic_Stiffness_Tensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Elasticity_Modulus" value="(1,0)"/>
          <property name="Mechanic_Poisson_Ratio" value="(0.3,0)"/>
          <property name="Density" value="(1e-09,0)"/>
        </material>
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="left" dofs="x y z"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="3630" totalNumFreeEqns="3630" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="3630" lastFreeEqn="3630" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="3630" lastFreeIndex="3630"/>
          </sbmBlocks>
        </setup>
        <solver>
          <pardiso hermitean="no" symStruct="no" symmetric="yes" posDef="no" pardiso_matrix="-2" solver="direct">
            <summary>
              <setup>
                <timer label="setup_pardiso" wall-clock="0.33s" wall="0.33" cpu="0.530041" calls="8"/>
              </setup>
              <solve>
                <timer label="solve_pardiso" wall-clock="0.086s" wall="0.086" cpu="0.147239" calls="8"/>
              </solve>
            </summary>
            <process>
              <call number="1">
                <symbfact cpu="0.10417" wall="0.033" peakMem="5563" permanentMem="5242"/>
                <numfact cpu="0.042494" wall="0.023" peakMem="10982"/>
              </call>
            </process>
          </pardiso>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <precond_Id_setup>
                <timer wall-clock="0s" wall="0" cpu="2.1e-05" calls="8"/>
              </precond_Id_setup>
              <precond_Id_run>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond_Id_run>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
      <graph_setup>
        <timer wall-clock="0.057s" wall="0.057" cpu="0.170386" calls="1" sub="true"/>
      </graph_setup>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0.118s" wall="0.118" cpu="0.119951" calls="16"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/home/jgreif/code/cfs/Testsuite/TESTSUIT/Optimization/ShapeMap/spaghetti3d_iso/HALTOPT">
    <header>
      <objective type="compliance" name="compliance" linear="no" access="physical" task="minimize"/>
      <constraints>
        <constraint type="volume" name="volume" linear="no" access="filtered" bound_value="0.2" bound="upperBound" design="default"/>
        <constraint type="localPython" name="arc_overlap" parameter="0" linear="no" access="plain" locality="externally_defined" local_size="8" bound_value="0" bound="lowerBound" design="default">
          <python eval="cfs_get_constraint_arc_overlap" grad="cfs_get_gradient_arc_overlap" name="arc_overlap" script="kernel" sparsity="cfs_get_sparsity_arc_overlap"/>
        </constraint>
      </constraints>
      <designSpace pamping="0" regular="yes">
        <setup_design>
          <timer wall-clock="0.656s" wall="0.656" cpu="0.441979" calls="7"/>
        </setup_design>
        <features>
          <mapping>
            <timer label="features_map" wall-clock="5.369s" wall="5.369" cpu="0.790728" calls="8" sub="true"/>
          </mapping>
          <gradient>
            <timer label="features_grad" wall-clock="10.69s" wall="10.687" cpu="3.13452" calls="16" sub="true"/>
          </gradient>
        </features>
        <spaghetti combine="softmax" orientation="rounded">
          <python file="/home/jgreif/code/cfs/share/python/spaghetti3d.py" options="">
            <timer wall-clock="16.35s" wall="16.349" cpu="4.37856" calls="67" sub="true"/>
          </python>
          <boundary type="poly" transition="0.16"/>
          <mesh n="[10, 10, 10]"/>
          <info_field genericElem=""/>
        </spaghetti>
        <filters use_mat_filt="yes"/>
        <transferFunctions>
          <transferFunction type="simp" application="mech" design="density" param="3"/>
        </transferFunctions>
        <designVariables opt_vars="48" field_elems="1000" field_fe_elemes="1000">
          <design type="density" upperBound="1" lowerBound="0" physicalLowerBound="0"/>
          <noodle id="0" segments="1">
            <px type="node" dof="x" tip="start" lower="0" upper="1"/>
            <py type="node" dof="y" tip="start" lower="0" upper="1"/>
            <pz type="node" dof="z" tip="start" lower="0" upper="1"/>
            <ix type="node" dof="x" tip="inner" lower="0.000000" upper="1.000000" size="1"/>
            <iy type="node" dof="y" tip="inner" lower="0.000000" upper="1.000000" size="1"/>
            <iz type="node" dof="z" tip="inner" lower="0.000000" upper="1.000000" size="1"/>
            <px type="node" dof="x" tip="end" lower="0" upper="1"/>
            <py type="node" dof="y" tip="end" lower="0" upper="1"/>
            <pz type="node" dof="z" tip="end" lower="0" upper="1"/>
            <p type="profile" lower="0.1" upper="0.5"/>
            <alpha type="alpha" lower="0" upper="1"/>
            <r type="radius" lower="0.050000" upper="5.000000" size="1"/>
          </noodle>
          <noodle id="1" segments="1">
            <px type="node" dof="x" tip="start" lower="0" upper="1"/>
            <py type="node" dof="y" tip="start" lower="0" upper="1"/>
            <pz type="node" dof="z" tip="start" lower="0" upper="1"/>
            <ix type="node" dof="x" tip="inner" lower="0.000000" upper="1.000000" size="1"/>
            <iy type="node" dof="y" tip="inner" lower="0.000000" upper="1.000000" size="1"/>
            <iz type="node" dof="z" tip="inner" lower="0.000000" upper="1.000000" size="1"/>
            <px type="node" dof="x" tip="end" lower="0" upper="1"/>
            <py type="node" dof="y" tip="end" lower="0" upper="1"/>
            <pz type="node" dof="z" tip="end" lower="0" upper="1"/>
            <p type="profile" lower="0.05" upper="0.3"/>
            <alpha type="alpha" lower="0" upper="1"/>
            <r type="radius" lower="0.050000" upper="5.000000" size="1"/>
          </noodle>
          <noodle id="2" segments="1">
            <px type="node" dof="x" tip="start" lower="0" upper="1"/>
            <py type="node" dof="y" tip="start" lower="0" upper="1"/>
            <pz type="node" dof="z" tip="start" lower="0" upper="1"/>
            <ix type="node" dof="x" tip="inner" lower="0.000000" upper="1.000000" size="1"/>
            <iy type="node" dof="y" tip="inner" lower="0.000000" upper="1.000000" size="1"/>
            <iz type="node" dof="z" tip="inner" lower="0.000000" upper="1.000000" size="1"/>
            <px type="node" dof="x" tip="end" lower="0" upper="1"/>
            <py type="node" dof="y" tip="end" lower="0" upper="1"/>
            <pz type="node" dof="z" tip="end" lower="0" upper="1"/>
            <p type="profile" lower="0.05" upper="0.3"/>
            <alpha type="alpha" lower="0" upper="1"/>
            <r type="radius" lower="0.050000" upper="5.000000" size="1"/>
          </noodle>
          <noodle id="3" segments="1">
            <px type="node" dof="x" tip="start" lower="0" upper="1"/>
            <py type="node" dof="y" tip="start" lower="0" upper="1"/>
            <pz type="node" dof="z" tip="start" lower="0" upper="1"/>
            <ix type="node" dof="x" tip="inner" lower="0.000000" upper="1.000000" size="1"/>
            <iy type="node" dof="y" tip="inner" lower="0.000000" upper="1.000000" size="1"/>
            <iz type="node" dof="z" tip="inner" lower="0.000000" upper="1.000000" size="1"/>
            <px type="node" dof="x" tip="end" lower="0" upper="1"/>
            <py type="node" dof="y" tip="end" lower="0" upper="1"/>
            <pz type="node" dof="z" tip="end" lower="0" upper="1"/>
            <p type="profile" lower="0.05" upper="0.3"/>
            <alpha type="alpha" lower="0" upper="1"/>
            <r type="radius" lower="0.050000" upper="5.000000" size="1"/>
          </noodle>
        </designVariables>
        <localElementCache org="1" shadow="1" mat_deriv="0" megabytes="0"/>
        <regions>
          <region name="mech" elements="1000" bimaterial="weak"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
    </header>
    <commit mode="forward" stride="1"/>
    <optimizer>
      <summary snopt_outputfile="spaghetti3d_iso.snopt">
        <snopt>
          <timer wall-clock="0.001s" wall="0.001" cpu="0.007677" calls="45"/>
        </snopt>
        <snopt_exit exit="0" info="32"/>
        <evaluations f_evals="9" g_evals="8"/>
      </summary>
      <snopt/>
    </optimizer>
    <summary problem="SNOPT: resource limit error - major iteration limit reached" snopt_exit="32">
      <eval_objective>
        <timer wall-clock="5.01s" wall="5.01" cpu="0.783283" calls="33"/>
      </eval_objective>
      <eval_constraints>
        <timer wall-clock="0s" wall="0" cpu="0.001524" calls="9"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall-clock="5.068s" wall="5.068" cpu="2.64104" calls="8"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall-clock="5.648s" wall="5.648" cpu="0.558672" calls="8"/>
      </eval_grad_constraints>
      <break converged="no"/>
    </summary>
    <process>
      <iteration number="0" duration="2.266" compliance="298.720279118333" volume="0.110930662036572" min_abs_arc_overlap="0.2525" infeas_count_arc_overlap="0"/>
      <iteration number="1" duration="1.773" compliance="120.564698272328" volume="0.329314097461349" min_abs_arc_overlap="0.12038" infeas_count_arc_overlap="0"/>
      <iteration number="2" duration="2.481" compliance="164.5801217939" volume="0.14214457022786" min_abs_arc_overlap="0.21202" infeas_count_arc_overlap="0"/>
      <iteration number="3" duration="2.132" compliance="91387.0585906122" volume="0.316496895482589" min_abs_arc_overlap="0.13585" infeas_count_arc_overlap="0"/>
      <iteration number="4" duration="1.766" compliance="200.853592644697" volume="0.191365897738083" min_abs_arc_overlap="0.18013" infeas_count_arc_overlap="0"/>
      <iteration number="5" duration="2.354" compliance="132.73543735839" volume="0.145703047909376" min_abs_arc_overlap="0.19593" infeas_count_arc_overlap="0"/>
      <iteration number="6" duration="3.051" compliance="88.8973051647966" volume="0.218785905605459" min_abs_arc_overlap="0.20884" infeas_count_arc_overlap="0"/>
      <iteration number="7" duration="2.07" compliance="69.309344589026" volume="0.212524075776526" min_abs_arc_overlap="0.20699" infeas_count_arc_overlap="0"/>
    </process>
  </optimization>
</cfsInfo>